<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::sdkInterfaces::AudioPlayerObserverInterface::Context Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html">sdkInterfaces</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_audio_player_observer_interface.html">AudioPlayerObserverInterface</a></li><li class="navelem"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_audio_player_observer_interface_1_1_context.html">Context</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_audio_player_observer_interface_1_1_context-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::sdkInterfaces::AudioPlayerObserverInterface::Context Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>The context of the AudioPlayer when the observer is notified of the <code>PlayerActivity</code> state change.  
 <a href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_audio_player_observer_interface_1_1_context.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_audio_player_observer_interface_8h_source.html">AudioPlayerObserverInterface.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ae540777a29d7a7e93cd7f5c6ab9d28b6"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_audio_player_observer_interface_1_1_context.html#ae540777a29d7a7e93cd7f5c6ab9d28b6">audioItemId</a></td></tr>
<tr class="memdesc:ae540777a29d7a7e93cd7f5c6ab9d28b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The ID of the <code>AudioItem</code> that the @ AudioPlayer is handling.  <a href="#ae540777a29d7a7e93cd7f5c6ab9d28b6">More...</a><br /></td></tr>
<tr class="separator:ae540777a29d7a7e93cd7f5c6ab9d28b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77693660d70a25f07e72b0aa99dfb7bd"><td class="memItemLeft" align="right" valign="top">std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_audio_player_observer_interface_1_1_context.html#a77693660d70a25f07e72b0aa99dfb7bd">offset</a></td></tr>
<tr class="memdesc:a77693660d70a25f07e72b0aa99dfb7bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">The offset in millisecond from the start of the <code>AudioItem</code>.  <a href="#a77693660d70a25f07e72b0aa99dfb7bd">More...</a><br /></td></tr>
<tr class="separator:a77693660d70a25f07e72b0aa99dfb7bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">The context of the AudioPlayer when the observer is notified of the <code>PlayerActivity</code> state change. </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="ae540777a29d7a7e93cd7f5c6ab9d28b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae540777a29d7a7e93cd7f5c6ab9d28b6">&#9670;&nbsp;</a></span>audioItemId</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::avsCommon::sdkInterfaces::AudioPlayerObserverInterface::Context::audioItemId</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The ID of the <code>AudioItem</code> that the @ AudioPlayer is handling. </p>

</div>
</div>
<a id="a77693660d70a25f07e72b0aa99dfb7bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77693660d70a25f07e72b0aa99dfb7bd">&#9670;&nbsp;</a></span>offset</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::chrono::milliseconds alexaClientSDK::avsCommon::sdkInterfaces::AudioPlayerObserverInterface::Context::offset</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The offset in millisecond from the start of the <code>AudioItem</code>. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/AVSCommon/SDKInterfaces/include/AVSCommon/SDKInterfaces/<a class="el" href="_audio_player_observer_interface_8h_source.html">AudioPlayerObserverInterface.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
